#=============================================================
#                        Champion mobs
#=============================================================

# Chance for a mob to became champion (in percent) - 0 to disable
ChampionFrequency = 0

# Min and max lvl allowed for a mob to be champion.
ChampionMinLevel = 20
ChampionMaxLevel = 70

# Hp multiplier
ChampionHp = 8

# Hp Regen Multiplier
ChampionRegenHp = 1.

# Rewards multiplier
ChampionRewards = 8

# Adenas & seal stones rewards multiplier
ChampionAdenasRewards = 1

# Atk bonus for champion (changes apply on patk & matk)
ChampionAtk = 1.

# Spd Atk bonus for champion (changes apply on patkspd & matkspd)
ChampionSpdAtk = 1.

# Chance to obtain a specified reward item from a higher lvl champion (in percents)   default is off using glittering medal as reward
ChampionRewardItem = 0

# Specified reward item ID
ChampionRewardItemID = 6393

# Specified reward item rnd qty
ChampionRewardItemQty = 1

#=============================================================
#                             Misc
#=============================================================

# Allow the use of class Managers to change occupation
# Default = False
AllowClassMasters = False

# ConfigClassMaster=1;[57(100000)];[];2;[57(1000000)];[];3;[57(10000000)],[5575(1000000)];[6622(1)] 
# 1st occupation change for 100.000 Adena (item id 57) 
# 2nd occupation change for 1.000.0000 Adena (item id 57) 
# 3rd occupation change for 10.000.0000 Adena (item id 57) and 1.000.000 Ancient Adena (item id 5575) 
# on 3rd occupation change player will be rewarded with 1 Book of Giants (item id 6622) 
# ConfigClassMaster=1;[];[];2;[];[];3;[];[] 
# 1st, 2nd, 3rd occupation change for free, without rewards.
# ConfigClassMaster=1;[];[];2;[];[]
# Allow only first and second change.
ConfigClassMaster = 1;[];[];2;[];[];3;[];[]

# Class Masters will allow changing to any occupation on any level inside class tree
# For example, Dwarven Fighter will be able to advance to:
# Artisan, Scavenger, Warsmith, Bounty Hunter, Maestro, Fortune Seeker.
# But Warsmith will be able to change only to Maestro. 
# Default = False
AllowEntireTree = False

# Allow free teleportation around the world.
AltFreeTeleporting = False

# Announce to players the location of the Mammon NPCs during Seal Validation.
# Default is False.
AnnounceMammonSpawn = False

# Alternative mob behavior in peace zones 
# Default = True; Set to False to prevent mobs from auto-agro against players in peace zones  
AltMobAgroInPeaceZone = True

# Show L2Monster level and aggro 
ShowNpcLevel = False

# Show clan && alliance crests on NPCs, default: False
ShowNpcCrest = False

# Show clan && alliance crests on summons, default: False
ShowSummonCrest = False

#=============================================================
#                        Wyvern Manager
#=============================================================

# Spawn instances of Wyvern Manager on castles (allow castle lords to mount wyverns)
AllowWyvernUpgrader = True

# Required minimum level of the Strider to allow NPC to transform it to wyvern
RequiredStriderLevel = 55

# Number of needed B-crystals
RequiredCrystalsNumber = 10

#=============================================================
#                             Bosses
#=============================================================

# % hp/mp regeneration and defence for RaidBoss and their minions - on a base 1 = 100%.
RaidHpRegenMultiplier = 1.
RaidMpRegenMultiplier = 1.
RaidDefenceMultiplier = 1.

# Minions respawn timer in ms (default: 300000 = 5 mins)
RaidMinionRespawnTime = 300000

# Disable the penalty level paralize curse, false by default
DisableRaidCurse = False

# Configure the interval at which raid bosses and minions wont reconsider their target
# This time is in seconds.
# Default: 30,30,30
RaidChaosTime = 30
GrandChaosTime = 30
MinionChaosTime = 30

#=============================================================
#                       Grand Bosses
#=============================================================

# ------------------------------------------------------------
# Ant Queen
# ------------------------------------------------------------
# Interval time of Ant Queen. Value is hour.
AntQueenSpawnInterval = 36

# Random interval. Value is hour.
AntQueenRandomSpawn = 17

# ------------------------------------------------------------
# Antharas
# ------------------------------------------------------------
# Interval time of Antharas. Value is hour.
AntharasSpawnInterval = 264

# Random interval. Value is hour.
AntharasRandomSpawn = 72

# Delay of appearance time of Antharas. Value is minute.
AntharasWaitTime = 30

# ------------------------------------------------------------
# Baium
# ------------------------------------------------------------
# Interval time of Baium. Value is hour.
BaiumSpawnInterval = 168

# Random interval. Value is hour.
BaiumRandomSpawn = 48

# ------------------------------------------------------------
# Core
# ------------------------------------------------------------
# Interval time of Core. Value is hour.
CoreSpawnInterval = 60

# Random interval. Value is hour.
CoreRandomSpawn = 23

# ------------------------------------------------------------
# Frintezza
# ------------------------------------------------------------
# Interval time of Frintezza. Value is hour.
FrintezzaSpawnInterval = 48

# Random interval. Value is hour.
FrintezzaRandomSpawn = 8

# ------------------------------------------------------------
# Orfen
# ------------------------------------------------------------
# Interval time of Orfen. Value is hour.
OrfenSpawnInterval = 48

# Random interval. Value is hour.
OrfenRandomSpawn = 20

# ------------------------------------------------------------
# Sailren
# ------------------------------------------------------------
# Interval time of Sailren. Value is hour.
SailrenSpawnInterval = 36

# Random interval. Value is hour.
SailrenRandomSpawn = 24

# Delay of appearance time of Sailren. Value is minute.
SailrenWaitTime = 5

# ------------------------------------------------------------
# Valakas
# ------------------------------------------------------------
# Interval time of Valakas. Value is hour.
ValakasSpawnInterval = 264

# Random interval. Value is hour.
ValakasRandomSpawn = 72

# Delay of appearance time of Valakas. Value is minute.
ValakasWaitTime = 30

# ------------------------------------------------------------
# Zaken
# ------------------------------------------------------------
# Interval time of Zaken. Value is hour.
ZakenSpawnInterval = 60

# Random interval. Value is hour.
ZakenRandomSpawn = 20

#=============================================================
#                            IA
#=============================================================

# If True, guards will attack at sight aggressive monsters.
# Default: False.
GuardAttackAggroMob = False

# Maximum range mobs can randomly go from spawn point
MaxDriftRange = 200

# Interval (in milliseconds) in which the knownlist does full updates.
# For move based updates, it is used for intermediate updates.
# WARNING ! Interval must be between 300 - 2000. Too small value may kill your CPU, too high value may not update knownlists properly.
# Default: 1250
KnownListUpdateInterval = 1250

# Minimum and maximum variable in seconds for npc animation delay.
# You must keep MinNPCAnimation <= MaxNPCAnimation.
MinNPCAnimation = 20
MaxNPCAnimation = 40
MinMonsterAnimation = 10
MaxMonsterAnimation = 40

# Grid options: Grids can now turn themselves on and off.  This also affects the loading
# and processing of all AI tasks and (in the future) geodata within this grid.
# Turn on for a grid with a person in it is immediate, but it then turns on 
# the 8 neighboring grids based on the specified number of seconds.
# Turn off for self and neighbors occures after the specified number of 
# seconds have passed during which a grid has had no players in or in any of its neighbors.
# The always on option allows to ignore all this and let all grids be active at all times
GridsAlwaysOn = False
GridNeighborTurnOnTime = 1
GridNeighborTurnOffTime = 90